from PASTEC.utils.AbstractClassifierAgent import AbstractClassifierAgent
from PASTEC.Decision import Condition, NumericRule, PresenceRule

class MITE_Agent(AbstractClassifierAgent):

    def __init__(self, env):
        AbstractClassifierAgent.__init__(self, env)
        self._listOfKnownAgents = ["Size_Agent", "TRSearch_Agent", "TE_BLRx_Agent", "TE_BLRtx_Agent"]
    
    def getAgentName(self):
        return "MITE"
    
    def _makeAppropriateConclusionsForTRSearch_Agent(self, iDemandAndResult):
        if iDemandAndResult is not None:
            for iResult in iDemandAndResult.result:
                if "termTIR" == iResult.getType():
                    self._conclusionsSearch.append(iResult)