#! /usr/local/bin/gawk -f
# transform RM cat files in align files
BEGIN{
  count=1
}
$1~/[0-9]+/ && $2~/[0-9]+/ && $3~/[0-9]+/ && $4~/[0-9]+/ && (NF==14 || NF=13){
  qname=$5;
  qstart=$6;
  qend=$7;
  
  if($9=="C"){
    sstart=$12;
    send=$13;
    sname=$10;
  }
  else{
    sname=$9;
    sstart=$10;
    send=$11;
  }

  divergence=$2;
  lenq=(qend-qstart)+1;
    
  identity=100-divergence;
  score=int(lenq*identity/100); 
    
  print qname "\t" qstart "\t" qend "\t" sname "\t" sstart "\t" send "\t" "0.0" "\t" score "\t" identity;

}
