#! /usr/bin/env python2

import os
startupfilename = os.environ.get('PYTHONSTARTUP')
if startupfilename and os.path.isfile(startupfilename):
    execfile(startupfilename)

from pyRepet.sql.RepetDBMySQL import *
import getopt
import exceptions
#-----------------------------------------------------------------------------
def help():
        print "usage:",sys.argv[0]," [ options ]"
        print "option:"
        print "    -h: this help"
        print "    -m: match table name"
        print "    -a: annot table name"
#-----------------------------------------------------------------------------
def main():

    table_comput=""
    table_annot=""


    opts, args = getopt.getopt(sys.argv[1:],"ha:m:")
    for o,a in opts:
        if o == "-h":
            help()
            return
        if o == "-m":
            table_comput=a
        if o == "-a":
            table_annot=a
            
    if table_comput=="" or table_annot=="":
        help()
        return

    print "Updating table",table_annot,"from table ",table_comput

    db=pyRepet.sql.RepetDB.RepetDB()

    if not db.exist(table_annot):
        print "Creating table",table_annot
        db.create_annot(table_annot)
    db.auto_annot_from_match(table_comput,table_annot)

#----------------------------------------------------------------------------
if __name__ == "__main__": 
    main ()
