# VGBrowse : Vectorial Genome Browser
#
#Copyright (C) 2006-2007, Charles Vejnar <charles [AT] vejnar.eu>
#
#This file is part of VGBrowse.
#
#VGBrowse is free software; you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 2 of the License, or
#(at your option) any later version.
#
#VGBrowse is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with VGBrowse; if not, write to the Free Software
#Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

from pyRepet.sql.TableAdaptator import TableAdaptator

class TableDrawAdaptator(TableAdaptator):
	def __init__(self,db,draw_table_name,draw_id,draw_name,draw_class,draw_content):
		TableAdaptator.__init__(self,db,draw_table_name)
		self.draw_table_name=draw_table_name
		self.field_name_draw_id=draw_id
		self.field_name_draw_name=draw_name
		self.field_name_draw_class=draw_class
		self.field_name_draw_content=draw_content

	def insADrawLine(self,draw_name,draw_class,draw_content):
		self.db.execute("INSERT INTO `%s` (`%s`,`%s`,`%s`) VALUES('%s','%s','%s');"%(self.draw_table_name,self.field_name_draw_name,self.field_name_draw_class,self.field_name_draw_content,draw_name.replace('\'','\'\''),draw_class.replace('\'','\'\''),draw_content.replace('\'','\'\'')))

	def truncateTable(self):
		self.db.execute("TRUNCATE TABLE `%s`;"%(self.draw_table_name))
