#!/usr/bin/env gawk
BEGIN{
  count=1;
  FS="\t"
   
}
/^[ ]*[0-9]+/ && NF==10 {
  path=$1
  qname=$2;
  qstart=$3;
  qend=$4;
  sname=$5;
  sstart=$6;
  send=$7;
  eval=$8
  score=$9;
  identity=$10;
    
    
  key_id=path " " qname " " sname
  if(key_id in id_list)
    {
      id=id_list[key_id];
    }
  else
    {
      id=count;
      id_list[key_id]=count++;
    }
  print id "\t" qname "\t" qstart "\t" qend "\t" sname "\t" sstart "\t" send "\t" eval "\t" score "\t" identity;
}
