class Strand(object):
    
    DIRECT = "+"
    REVERSE = "-"
    CONFLICT = "."
    NO_INFO = "."

    def __init__(self, strand = "."):
        self._strand = strand
        
    def __eq__(self, o):
        if type(o) is type(self):
            return self.__class__ == o.__class__ and self._strand == o._strand
        return False
        
    def __ne__(self, o):
        return not self.__eq__(o)
        
    def __str__(self):
        return self._strand
        
    def setStrand(self, strand):
        self._strand = strand